summaryrefslogtreecommitdiffstats
path: root/academic/copasi
diff options
context:
space:
mode:
Diffstat (limited to 'academic/copasi')
-rw-r--r--academic/copasi/README28
-rw-r--r--academic/copasi/copasi.SlackBuild48
-rw-r--r--academic/copasi/copasi.desktop2
-rw-r--r--academic/copasi/copasi.info12
-rw-r--r--academic/copasi/slack-desc4
5 files changed, 53 insertions, 41 deletions
diff --git a/academic/copasi/README b/academic/copasi/README
index 4da8b74120..1ebe37a34d 100644
--- a/academic/copasi/README
+++ b/academic/copasi/README
@@ -1,17 +1,17 @@
-COPASI is a package for modeling and simulation of biochemical networks,
-popular in the field of systems biology.
+COPASI is a package for modeling and simulation of chemical reaction
+networks and other dynamical systems.
-COPASI is a stand-alone program that simulates models of biochemical
-networks using ODE solvers or Gillespie's stochastic simulation
-algorithm. COPASI is compatible with models in SBML format. It also
-performs several analyses, such as steady state, stability, parameter
-sensitivity, elementary modes, Lyapunov exponents, optimization, and
-parameter estimation. Data can be visualized in plots, histograms and
-animations of network diagrams. COPASI's GUI is based on QT, but a
-command line version is also included that allows for processing
-computations in batch mode.
+COPASI is a stand-alone program that simulates models of chemical
+reaction networks using ODE/SDE solvers or Gillespie's stochastic
+simulation algorithm. COPASI is compatible with models in SBML format.
+It also performs several analyses, such as steady state, stability,
+parameter sensitivity, elementary modes, Lyapunov exponents,
+optimization, and parameter estimation. Data can be visualized in
+plots, histograms and animations of network diagrams. COPASI's GUI is
+based on QT, but a command line version is also included that allows
+for processing computations in batch mode.
COPASI is a collaboration between research groups at the Biocomplexity
-Institute at Virginia Tech, University of Heidelberg, University of
-Connecticut, and previously the University of Manchester and the
-EML-Research.
+Institute and Initiative at University of Virginia, University of
+Heidelberg, University of Connecticut, and previously the University
+of Manchester, Virginia Tech, and the EML-Research.
diff --git a/academic/copasi/copasi.SlackBuild b/academic/copasi/copasi.SlackBuild
index d446a59979..732cd916d9 100644
--- a/academic/copasi/copasi.SlackBuild
+++ b/academic/copasi/copasi.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for copasi
@@ -22,31 +22,43 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=copasi
-VERSION=${VERSION:-4.27.217}
+VERSION=${VERSION:-4.43.288}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ ARCH="$(uname -m)"
+fi
-case "$(uname -m)" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$(uname -m) ;;
+case "$ARCH" in
+ i?86)
+ BINNAME="Linux-32bit"
+ ;;
+ x86_64)
+ BINNAME="Linux-64bit"
+ ;;
+ *)
+ echo "$ARCH is not supported by the $PRGNAM build script..."
+ exit 1
+ ;;
esac
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- BINNAME="Linux-32bit"
-elif [ "$ARCH" = "x86_64" ]; then
- BINNAME="Linux-64bit"
-else
- echo "$ARCH is not supported by the $PRGNAM build script..."
- exit 1
-fi
-
# This is a repackage of a binary distribution
# CFLAGS are not required
@@ -56,7 +68,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf COPASI-$VERSION-$BINNAME $PRGNAM-$VERSION
-tar xvf $CWD/COPASI-$VERSION-$BINNAME.tar.gz
+sh $CWD/COPASI-$VERSION-$BINNAME.sh -e .
mv COPASI-$VERSION-$BINNAME $PRGNAM-$VERSION
cd $PRGNAM-$VERSION
chown -R root:root .
@@ -80,4 +92,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/academic/copasi/copasi.desktop b/academic/copasi/copasi.desktop
index 80dcef7083..6690ec34a4 100644
--- a/academic/copasi/copasi.desktop
+++ b/academic/copasi/copasi.desktop
@@ -1,5 +1,5 @@
[Desktop Entry]
-Exec=sh -c "COPASIDIR=/usr /usr/bin/CopasiUI"
+Exec=/usr/bin/CopasiUI %u
Icon=/usr/share/pixmaps/copasi.xpm
Type=Application
Name=COPASI
diff --git a/academic/copasi/copasi.info b/academic/copasi/copasi.info
index 6e5b69b94a..2840e1662d 100644
--- a/academic/copasi/copasi.info
+++ b/academic/copasi/copasi.info
@@ -1,10 +1,10 @@
PRGNAM="copasi"
-VERSION="4.27.217"
-HOMEPAGE="http://www.copasi.org"
-DOWNLOAD="https://github.com/copasi/COPASI/releases/download/Build-217/COPASI-4.27.217-Linux-32bit.tar.gz"
-MD5SUM="a218e91000bba6ca3071feddd95fd0d2"
-DOWNLOAD_x86_64="https://github.com/copasi/COPASI/releases/download/Build-217/COPASI-4.27.217-Linux-64bit.tar.gz"
-MD5SUM_x86_64="f9fd439a6b6a9f60bb2b54c666235aec"
+VERSION="4.43.288"
+HOMEPAGE="https://copasi.org"
+DOWNLOAD="https://github.com/copasi/COPASI/releases/download/Build-288/COPASI-4.43.288-Linux-32bit.sh"
+MD5SUM="2eb1afccd0697ab7b75a1177e89ce15b"
+DOWNLOAD_x86_64="https://github.com/copasi/COPASI/releases/download/Build-288/COPASI-4.43.288-Linux-64bit.sh"
+MD5SUM_x86_64="cf48d9dd2672f1ba676ddc457b71c91d"
REQUIRES=""
MAINTAINER="Pedro Mendes"
EMAIL="pedro@gepasi.org"
diff --git a/academic/copasi/slack-desc b/academic/copasi/slack-desc
index 713b2c5d95..46fa181d4b 100644
--- a/academic/copasi/slack-desc
+++ b/academic/copasi/slack-desc
@@ -9,11 +9,11 @@
copasi: copasi (tool for modeling and simulation of biochemical networks)
copasi:
copasi: COPASI is a stand-alone program that simulates models of biochemical
-copasi: networks using ODE solvers or Gillespie's stochastic simulation
+copasi: networks using ODE/SDE solvers or Gillespie's stochastic simulation
copasi: algorithm. COPASI is compatible with models in SBML format. It also
copasi: performs several analyses: stability, parameter sensitivity,
copasi: elementary modes, Lyapunov exponents, optimization, and parameter
copasi: estimation. Data can be visualized in plots, histograms and animations
copasi: of network diagrams. Both GUI and a command line version are included.
copasi:
-copasi: Homepage: http://www.copasi.org/
+copasi: Homepage: https://copasi.org/